Skip to main content
POST
/
barberProfileSlugs
Check booking slug availability
curl --request POST \
  --url https://api.guile.app/barberProfileSlugs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "urlSlug": "<string>"
}
'
{
  "type": "<string>",
  "title": "<string>",
  "occurredAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "status": 349,
  "detail": "<string>",
  "instance": "<string>",
  "attributes": {},
  "problems": [
    {
      "type": "<string>",
      "title": "<string>",
      "occurredAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "status": 349,
      "detail": "<string>",
      "instance": "<string>",
      "attributes": {}
    }
  ]
}

Body

application/json

Request body used to check whether a booking slug can be claimed.

urlSlug
string
required

The booking slug to check.

Required string length: 3 - 40
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Response

No Content. The operation succeeded but returned no response body.